### Method

# GLib Cond clear

since: 2.32

#### Declaration

    void
    g_cond_clear (
      GCond* cond
    )

#### Description

Frees the resources allocated to a `GCond` with g_cond_init().

This function should not be used with a `GCond` that has been statically allocated.

Calling `g_cond_clear()` for a `GCond` on which threads are blocking leads to undefined behaviour.

Available since: 2.32